<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:m="http://macroproyectos.com/namespace">
  <xsl:output method="xml" />
  <xsl:variable name="cab" select="/java/registro[@tip_reg = 4 and @num_formato = 1]" />
  <xsl:variable name="ppals" select="/java/registro[@tip_reg = 4 and @num_formato = 1262]" />
  <xsl:variable name="ppal1s" select="$ppals[@num_columna = 10]" />
  <xsl:variable name="secs" select="/java/registro[@tip_reg = 4 and @num_formato = 12620]" />
  <xsl:variable name="n" select="5000" />
  <xsl:template match="/">
    <xsl:call-template name="pag" />
    <xsl:for-each select="2 to xs:integer(ceiling(count($ppal1s) div $n))">
      <xsl:result-document href="dian{.}.xml">
        <xsl:call-template name="pag">
          <xsl:with-param name="ini" select=". * $n - $n" />
        </xsl:call-template>
      </xsl:result-document>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="pag">
    <xsl:param name="ini" select="0" />
    <mas>
      <Cab>
        <Ano>
          <xsl:value-of select="m:fila($cab, 10)" />
        </Ano>
        <CodCpt>
          <xsl:value-of select="m:fila($cab, 20)" />
        </CodCpt>
        <Formato>1262</Formato>
        <Version>7</Version>
        <NumEnvio>
          <xsl:value-of select="m:fila($cab, 50)" />
        </NumEnvio>
        <FecEnvio>
          <xsl:value-of select="m:fecha(m:fila($cab, 60))" />
        </FecEnvio>
        <FecInicial>
          <xsl:value-of select="m:fecha(m:fila($cab, 70))" />
        </FecInicial>
        <FecFinal>
          <xsl:value-of select="m:fecha(m:fila($cab, 80))" />
        </FecFinal>
        <ValorTotal>
          <xsl:value-of select="sum(m:columna($ppals, 140))" />
        </ValorTotal>
        <CantReg>
          <xsl:value-of select="count($ppals)" />
        </CantReg>
      </Cab>
      <xsl:for-each select="$ppal1s[position() > $ini and $ini + $n >= position()]">
        <xsl:variable name="renglon" select="@num_renglon" />
        <xsl:variable name="ppal" select="$ppals[@num_renglon = $renglon]" />
        <ppal doc="{m:columna($ppal, 10)}" nid="{m:columna($ppal, 20)}" dv="{m:columna($ppal, 30)}"
          dir="{m:columna($ppal, 90)}" dept="{m:columna($ppal, 100)}" ciud="{m:columna($ppal, 110)}"
          tcer="{m:columna($ppal, 130)}" cpro="{m:columna($ppal, 140)}" fex1="{m:columna($ppal, 150)}"
          bim="{m:columna($ppal, 210)}" emex="{m:columna($ppal, 220)}" tit="{m:columna($ppal, 230)}"
          fexm="{m:columna($ppal, 240)}" pag="{m:columna($ppal, 320)}">
          <xsl:if test="m:columna($ppal, 40)">
            <xsl:attribute name="pad" select="m:columna($ppal, 40)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 50)">
            <xsl:attribute name="sad" select="m:columna($ppal, 50)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 60)">
            <xsl:attribute name="pno" select="m:columna($ppal, 60)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 70)">
            <xsl:attribute name="ono" select="m:columna($ppal, 70)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 80)">
            <xsl:attribute name="raz" select="m:columna($ppal, 80)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 120)">
            <xsl:attribute name="telf" select="m:columna($ppal, 120)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 160)">
            <xsl:attribute name="nfa" select="m:columna($ppal, 160)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 170)">
            <xsl:attribute name="fcm" select="m:columna($ppal, 170)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 180)">
            <xsl:attribute name="fex3" select="m:columna($ppal, 180)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 190)">
            <xsl:attribute name="ccia" select="m:columna($ppal, 190)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 200)">
            <xsl:attribute name="fcia" select="m:columna($ppal, 200)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 250)">
            <xsl:attribute name="sto1" select="m:columna($ppal, 250)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 260)">
            <xsl:attribute name="siv1" select="m:columna($ppal, 260)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 270)">
            <xsl:attribute name="sre1" select="m:columna($ppal, 270)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 280)">
            <xsl:attribute name="sto2" select="m:columna($ppal, 280)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 300)">
            <xsl:attribute name="siv2" select="m:columna($ppal, 300)" />
          </xsl:if>
          <xsl:if test="m:columna($ppal, 310)">
            <xsl:attribute name="sre2" select="m:columna($ppal, 310)" />
          </xsl:if>
          <xsl:for-each select="$secs[@num_columna = 10 and @texto_rep = $ppal/@num_renglon]">
            <xsl:variable name="renglon" select="@num_renglon" />
            <xsl:variable name="sec" select="$secs[@num_renglon = $renglon]" />
            <sec ser="{m:columna($sec, 30)}">
              <xsl:if test="m:columna($sec, 40)">
                <xsl:attribute name="sup" select="m:columna($sec, 40)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 50)">
                <xsl:attribute name="desc" select="m:columna($sec, 50)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 60)">
                <xsl:attribute name="can1" select="m:columna($sec, 60)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 70)">
                <xsl:attribute name="uc1" select="m:columna($sec, 70)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 80)">
                <xsl:attribute name="vu1" select="m:columna($sec, 80)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 90)">
                <xsl:attribute name="vt1" select="m:columna($sec, 90)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 100)">
                <xsl:attribute name="tiv1" select="m:columna($sec, 100)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 110)">
                <xsl:attribute name="tre1" select="m:columna($sec, 110)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 120)">
                <xsl:attribute name="eiv1" select="m:columna($sec, 120)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 130)">
                <xsl:attribute name="ere1" select="m:columna($sec, 130)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 140)">
                <xsl:attribute name="fac1" select="m:columna($sec, 140)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 150)">
                <xsl:attribute name="ff1" select="m:columna($sec, 150)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 160)">
                <xsl:attribute name="sip" select="m:columna($sec, 160)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 170)">
                <xsl:attribute name="can2" select="m:columna($sec, 170)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 180)">
                <xsl:attribute name="vu2" select="m:columna($sec, 180)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 190)">
                <xsl:attribute name="vt2" select="m:columna($sec, 190)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 200)">
                <xsl:attribute name="tiv2" select="m:columna($sec, 200)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 210)">
                <xsl:attribute name="tre2" select="m:columna($sec, 210)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 220)">
                <xsl:attribute name="eiv2" select="m:columna($sec, 220)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 230)">
                <xsl:attribute name="ere2" select="m:columna($sec, 230)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 240)">
                <xsl:attribute name="fac2" select="m:columna($sec, 240)" />
              </xsl:if>
              <xsl:if test="m:columna($sec, 250)">
                <xsl:attribute name="ff2" select="m:columna($sec, 250)" />
              </xsl:if>
            </sec>
          </xsl:for-each>
        </ppal>
      </xsl:for-each>
    </mas>
  </xsl:template>
  <xsl:function name="m:columna">
    <xsl:param name="reg" />
    <xsl:param name="num" />
    <xsl:copy-of select="$reg[@num_columna = $num]/@texto_rep" />
  </xsl:function>
  <xsl:function name="m:fila">
    <xsl:param name="reg" />
    <xsl:param name="num" />
    <xsl:copy-of select="$reg[@num_renglon = $num]/@texto_rep" />
  </xsl:function>
  <xsl:function name="m:fecha">
    <xsl:param name="fecha" />
    <xsl:value-of select="replace($fecha, '/', '-')" />
  </xsl:function>
</xsl:stylesheet>