
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output media-type="text/html" method="html" omit-xml-declaration="yes" indent="yes"
         encoding="ISO-8859-1" />
    <xsl:variable name="n">
        <xsl:choose>
            <xsl:when test="/root/@columnas">
                <xsl:value-of select="/root/@columnas" />
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="4" />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
    <xsl:variable name="vertical">
        <xsl:choose>
            <xsl:when test="/root/@vertical = 'true'">
                <xsl:value-of select="true()" />
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="false()" />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
    <xsl:template match="root">
        <html>
            <body>
                <table>
                    <tr>
                        <td>
                            <div align="left">
                                Entidad :
                                <b>
                                    <xsl:value-of select="@nomEntidad" />
                                </b>
                                <br />
                                Nit :
                                <b>
                                    <xsl:value-of select="@codEntidad" />
                                </b>
                                <br />
                                <xsl:value-of select="@aliasNomInf"/> :
                                <b>
                                    <xsl:value-of select="@nomInf" />
                                </b>
                                <br />
                                Fecha de corte :
                                <b>
                                    <xsl:value-of select="@fecCort" />
                                </b>
                                <br />
                                Formulario :
                                <b>
                                    <xsl:value-of select="formato/@nombre" />
                                </b>
                                <br />
                                Periodicidad :
                                <b>
                                    <xsl:value-of select="@nomPer" />
                                </b>
                                <br />
                            </div>
                        </td>
                    </tr>
                </table>
                <table align="center" class="dtree" border="0">
                    <xsl:for-each select="formato/bloques/bloque">
                        <xsl:variable name="codunca" select="@codunca" />
                        <tr>
                            <td>
                                <table align="center" width="100%" border="1" class="dtree" cellspading="0"
cellspacing="0">
                                    <tr bgcolor="#CCCCFF">
                                        <td>
                                            <xsl:attribute name="colspan">
                                                <xsl:choose>
                                                    <xsl:when test="$n >= count(//formato/columnas/columna[@vis='S'])">
                                                        <xsl:value-of select="count(//formato/columnas/columna[@vis='S']) + 1" />
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:value-of select="$n + 1" />
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </xsl:attribute>
                                            BLOQUE [
                                            <xsl:value-of select="@codunca" />
                                            ]
                                            <xsl:value-of select="@nombre" />
                                        </td>
                                    </tr>
                                    <xsl:for-each select="//formato/columnas/columna[@vis='S'][(position() - 1) mod $n = 0]">
                                        <xsl:variable name="pos" select="count(preceding-sibling::columna[@vis='S']) + 1" />
                                        <tr align="center" bgcolor="#999999">
                                            <td> NOMBRE_FILA </td>
                                            <xsl:for-each
                                                select="//formato/columnas/columna[@vis='S'][position() >= $pos and position() &lt; $pos + $n]">
                                                <td title="{@nombre}" width="28">
                                                    <xsl:if test="@obl='S'">
                                                        <xsl:attribute name="bgcolor">
                                                            red
                                                        </xsl:attribute>
                                                    </xsl:if>
                                                    <xsl:choose>
                                                        <xsl:when test="$vertical = 'true'">
                                                            <img src="{/root/@prefijo}_{@codcolumna}.png" />
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="@nombre" />
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                    <!--xsl:value-of select="@nombre" /-->
                                                </td>
                                            </xsl:for-each>
                                        </tr>
                                        <xsl:for-each select="//datos/bloque[@codunca = $codunca]/row">
                                            <xsl:variable name="fila" select="@codfila" />
                                            <tr>
                                                <td width="200">
                                                    <xsl:variable name="element_fila" select="//formato/bloques/bloque[@codunca = $codunca]/filas/fila[@codfila=$fila]"/>
                                                    <xsl:if test="$element_fila/@background!=''">
                                                        <xsl:attribute name="style">background-color :#<xsl:value-of select="$element_fila/@background"/></xsl:attribute>
                                                    </xsl:if>
                                                    <xsl:if test="//formato/@tipo='V'">
                                                        Fila_
                                                        <xsl:value-of select="@codfila" />
                                                    </xsl:if>
                                                    <xsl:if test="//formato/@tipo!='V'">
                                                        <xsl:value-of
                                                            select="$element_fila/@nombre" />
                                                    </xsl:if>
                                                    <xsl:value-of select="@nombre" />
                                                </td>
                                                <xsl:variable name="celdasVar" select="." />
                                                <xsl:for-each
                                                    select="//formato/columnas/columna[@vis='S'][position() >= $pos and position() &lt; $pos + $n]">
                                                    <xsl:variable name="codcol" select="@codcolumna" />
                                                    <td align="center" width="28">
                                                        <xsl:variable name="codfila">
                                                            <xsl:if test="//formato/@tipo='V' and $fila!=999999">10
                                                            </xsl:if>
                                                            <xsl:if test="//formato/@tipo!='V'">
                                                                <xsl:value-of select="$fila" />
                                                            </xsl:if>
                                                        </xsl:variable>
                                                        <xsl:variable name="codlist"
select="//formato/bloques/bloque[@codunca = $codunca]/filas/fila[@codfila=$codfila]/celdas/celda[@columna=$codcol]/@codlist" />
                                                        <xsl:variable name="signo"
select="substring(//formato/bloques/bloque[@codunca = $codunca]/filas/fila[@codfila=$codfila]/celdas/celda[$codcol=@columna]/@signo,1,1)" />
                                                        <xsl:variable name="element_celda"
select="//formato/bloques/bloque[@codunca = $codunca]/filas/fila[@codfila=$codfila]/celdas/celda[$codcol=@columna]" />
                                                        <xsl:if test="$element_celda/@background!=''">
                                                            <xsl:attribute name="style">background-color :#<xsl:value-of select="$element_celda/@background"/></xsl:attribute>
                                                        </xsl:if>
                                                        <xsl:if  test="$signo='E' and $element_celda/@background=''">
                                                            <xsl:attribute name="bgcolor">#CCCCCC
                                                            </xsl:attribute>
                                                        </xsl:if>
                                                        <xsl:choose>
                                                            <xsl:when test="$signo='+' or $signo='-' or $signo='T'">
                                                                <xsl:attribute name="align">right
                                                                </xsl:attribute>
                                                            </xsl:when>
                                                            <xsl:when test="$signo='C' or $signo='A' or $signo='T'">
                                                                <xsl:attribute name="align">left
                                                                </xsl:attribute>
                                                            </xsl:when>
                                                            <xsl:when test="$signo='F'">
                                                                <xsl:attribute name="align">center
                                                                </xsl:attribute>
                                                            </xsl:when>
                                                        </xsl:choose>
                                                        <font size="2" >
                                                            <xsl:choose>
                                                                <xsl:when test="$codlist&gt;0">
                                                                    <xsl:value-of select="$celdasVar/column[$codcol=@codcolumna]/@value" />
                                                                </xsl:when>
                                                                <xsl:otherwise>
                                                                    <xsl:choose>
                                                                        <!--xsl:when test="$signo='+' or $signo='-' or $signo='T' or $signo=''">
																		<xsl:if test="$celdasVar/column[$codcol=@codcolumna]/@value!=''">
																			<xsl:attribute name="align">right</xsl:attribute>
																			<xsl:variable name="valor"
																				select="format-number($celdasVar/column[$codcol=@codcolumna]/@value,'#,##0.00')" />
																			<xsl:if test="substring-after($valor,'.')='00'">
																				<xsl:value-of select="substring-before($valor,'.')" />
																			</xsl:if>
																			<xsl:if test="substring-after($valor,'.')!='00'">
																				<xsl:value-of select="$valor" />
																			</xsl:if>
																		</xsl:if>
																	</xsl:when-->
                                                                        <xsl:when test="$signo='E'">
                                                                            <xsl:value-of
                                                                                select="//formato/bloques/bloque[@codunca = $codunca]/filas/fila[@codfila=$codfila]/celdas/celda[$codcol=@columna]/@etiqueta" />
                                                                        </xsl:when>
                                                                        <xsl:otherwise>
                                                                            <xsl:value-of select="$celdasVar/column[$codcol=@codcolumna]/@value" />
                                                                        </xsl:otherwise>
                                                                    </xsl:choose>
                                                                </xsl:otherwise>
                                                            </xsl:choose>
                                                        </font>&#160;
                                                    </td>
                                                </xsl:for-each>
                                            </tr>
                                        </xsl:for-each>
                                    </xsl:for-each>
                                </table>
                            </td>
                        </tr>
                    </xsl:for-each>
                </table>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>

